-----------------------------------------------------------------------------
-- |
-- Module      :  
-- Copyright   :  (c) Marcel Fourné 20[09-13]
-- License     :  BSD3
-- Maintainer  :  Marcel Fourné (hecc@bitrot.dyndns.org
--
-- computing ECDH-values as an example
--
-----------------------------------------------------------------------------

import Codec.Crypto.ECC.Base

ecdh :: ECPF Integer -> Integer -> t -> Integer
ecdh a kprivA kprivB = let kpubA = pmul a kprivA
                           kpubB = pmul a kprivA
                           ergA = pmul kpubB kprivA
                       in getx ergA